# Method: advertisers.lineItems.duplicate

> [!WARNING]
> Display \& Video 360 API v3 has sunset. Use [v4](https://developers.google.com/display-video/api/reference/rest/v4) instead.

- [HTTP request](https://developers.google.com/display-video/api/reference/rest/v3/advertisers.lineItems/duplicate#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/api/reference/rest/v3/advertisers.lineItems/duplicate#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/display-video/api/reference/rest/v3/advertisers.lineItems/duplicate#body.request_body)
  - [JSON representation](https://developers.google.com/display-video/api/reference/rest/v3/advertisers.lineItems/duplicate#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/display-video/api/reference/rest/v3/advertisers.lineItems/duplicate#body.response_body)
  - [JSON representation](https://developers.google.com/display-video/api/reference/rest/v3/advertisers.lineItems/duplicate#body.DuplicateLineItemResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/display-video/api/reference/rest/v3/advertisers.lineItems/duplicate#body.aspect)
- [Try it!](https://developers.google.com/display-video/api/reference/rest/v3/advertisers.lineItems/duplicate#try-it)

Duplicates a line item. Returns the ID of the created line item if successful.

YouTube \& Partners line items cannot be created or updated using the API.

**This method regularly experiences high latency.** We recommend [increasing your default timeout](https://developers.google.com/display-video/api/guides/best-practices/timeouts#client_library_timeout) to avoid errors.

### HTTP request

`POST https://displayvideo.googleapis.com/v3/advertisers/{advertiserId}/lineItems/{lineItemId}:duplicate`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `advertiserId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the advertiser this line item belongs to. |
| `lineItemId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the line item to duplicate. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "targetDisplayName": string, "containsEuPoliticalAds": enum (`https://developers.google.com/display-video/api/reference/rest/v3/EuPoliticalAdvertisingStatus`) } ``` |

| Fields ||
|---|---|
| `targetDisplayName` | `string` The display name of the new line item. Must be UTF-8 encoded with a maximum size of 240 bytes. |
| `containsEuPoliticalAds` | ``enum (`https://developers.google.com/display-video/api/reference/rest/v3/EuPoliticalAdvertisingStatus`)`` Whether this line item will serve European Union political ads. If `https://developers.google.com/display-video/api/reference/rest/v3/advertisers#Advertiser.FIELDS.contains_eu_political_ads` has been set to `DOES_NOT_CONTAIN_EU_POLITICAL_ADVERTISING` in the parent advertiser, then this field will be assigned `DOES_NOT_CONTAIN_EU_POLITICAL_ADVERTISING` if not otherwise specified. This field can then be updated using the UI, API, or Structured Data Files. This field must be assigned when creating a new line item. Otherwise, **the `advertisers.lineItems.create` request will fail**. |

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "duplicateLineItemId": string } ``` |

| Fields ||
|---|---|
| `duplicateLineItemId` | `string (https://developers.google.com/discovery/v1/type-format format)` The ID of the created line item. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/display-video`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).